<?php
/**
 * Todays Pick Section
 *
 * @package Macro News
 */

$wp_customize->add_section(
	'macro_news_todays_pick_section',
	array(
		'panel' => 'macro_news_front_page_options',
		'title' => esc_html__( 'Todays Pick Section', 'macro-news' ),
	)
);

// Todays Pick Section - Enable Section.
$wp_customize->add_setting(
	'macro_news_enable_todays_pick_section',
	array(
		'default'           => false,
		'sanitize_callback' => 'macro_news_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Macro_News_Toggle_Switch_Custom_Control(
		$wp_customize,
		'macro_news_enable_todays_pick_section',
		array(
			'label'    => esc_html__( 'Enable Todays Pick Section', 'macro-news' ),
			'section'  => 'macro_news_todays_pick_section',
			'settings' => 'macro_news_enable_todays_pick_section',
		)
	)
);

if ( isset( $wp_customize->selective_refresh ) ) {
	$wp_customize->selective_refresh->add_partial(
		'macro_news_enable_todays_pick_section',
		array(
			'selector' => '#macro_news_todays_pick_section .section-link',
			'settings' => 'macro_news_enable_todays_pick_section',
		)
	);
}

// Todays Pick Section - Section Title.
$wp_customize->add_setting(
	'macro_news_todays_pick_title',
	array(
		'default'           => __( 'Todays Pick', 'macro-news' ),
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'macro_news_todays_pick_title',
	array(
		'label'           => esc_html__( 'Section Title', 'macro-news' ),
		'section'         => 'macro_news_todays_pick_section',
		'settings'        => 'macro_news_todays_pick_title',
		'type'            => 'text',
		'active_callback' => 'macro_news_is_todays_pick_section_enabled',
	)
);

// Todays Pick Section - Content Type.
$wp_customize->add_setting(
	'macro_news_todays_pick_content_type',
	array(
		'default'           => 'post',
		'sanitize_callback' => 'macro_news_sanitize_select',
	)
);

$wp_customize->add_control(
	'macro_news_todays_pick_content_type',
	array(
		'label'           => esc_html__( 'Select Content Type', 'macro-news' ),
		'section'         => 'macro_news_todays_pick_section',
		'settings'        => 'macro_news_todays_pick_content_type',
		'type'            => 'select',
		'active_callback' => 'macro_news_is_todays_pick_section_enabled',
		'choices'         => array(
			'page'     => esc_html__( 'Page', 'macro-news' ),
			'post'     => esc_html__( 'Post', 'macro-news' ),
			'category' => esc_html__( 'Category', 'macro-news' ),
			'recent'   => esc_html__( 'Recent', 'macro-news' ),
		),
	)
);

for ( $i = 1; $i <= 5; $i++ ) {
	// Todays Pick Section - Select Post.
	$wp_customize->add_setting(
		'macro_news_todays_pick_content_post_' . $i,
		array(
			'sanitize_callback' => 'absint',
		)
	);

	$wp_customize->add_control(
		'macro_news_todays_pick_content_post_' . $i,
		array(
			'label'           => sprintf( esc_html__( 'Select Post %d', 'macro-news' ), $i ),
			'section'         => 'macro_news_todays_pick_section',
			'settings'        => 'macro_news_todays_pick_content_post_' . $i,
			'active_callback' => 'macro_news_is_todays_pick_section_and_content_type_post_enabled',
			'type'            => 'select',
			'choices'         => macro_news_get_post_choices(),
		)
	);

}

// Todays Pick Section - Select Category.
$wp_customize->add_setting(
	'macro_news_todays_pick_content_category',
	array(
		'sanitize_callback' => 'macro_news_sanitize_select',
	)
);

$wp_customize->add_control(
	'macro_news_todays_pick_content_category',
	array(
		'label'           => esc_html__( 'Select Category', 'macro-news' ),
		'section'         => 'macro_news_todays_pick_section',
		'settings'        => 'macro_news_todays_pick_content_category',
		'active_callback' => 'macro_news_is_todays_pick_section_and_content_type_category_enabled',
		'type'            => 'select',
		'choices'         => macro_news_get_post_cat_choices(),
	)
);

// Todays Pick Section - Horizontal Line.
$wp_customize->add_setting(
	'macro_news_todays_pick_horizontal_line',
	array(
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	new Macro_News_Customize_Horizontal_Line(
		$wp_customize,
		'macro_news_todays_pick_horizontal_line',
		array(
			'section'         => 'macro_news_todays_pick_section',
			'settings'        => 'macro_news_todays_pick_horizontal_line',
			'active_callback' => 'macro_news_is_todays_pick_section_enabled',
			'type'            => 'hr',
		)
	)
);

// Most Recent Section - Section Title.
$wp_customize->add_setting(
	'macro_news_most_recent_title',
	array(
		'default'           => __( 'Most Recent', 'macro-news' ),
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'macro_news_most_recent_title',
	array(
		'label'           => esc_html__( 'Section Title', 'macro-news' ),
		'section'         => 'macro_news_todays_pick_section',
		'settings'        => 'macro_news_most_recent_title',
		'type'            => 'text',
		'active_callback' => 'macro_news_is_todays_pick_section_enabled',
	)
);

// Most Recent Section - Content Type.
$wp_customize->add_setting(
	'macro_news_most_recent_content_type',
	array(
		'default'           => 'post',
		'sanitize_callback' => 'macro_news_sanitize_select',
	)
);

$wp_customize->add_control(
	'macro_news_most_recent_content_type',
	array(
		'label'           => esc_html__( 'Select Content Type', 'macro-news' ),
		'section'         => 'macro_news_todays_pick_section',
		'settings'        => 'macro_news_most_recent_content_type',
		'type'            => 'select',
		'active_callback' => 'macro_news_is_todays_pick_section_enabled',
		'choices'         => array(
			'post'     => esc_html__( 'Post', 'macro-news' ),
			'category' => esc_html__( 'Category', 'macro-news' ),
		),
	)
);

for ( $i = 1; $i <= 3; $i++ ) {
	// Most Recent Section - Select Post.
	$wp_customize->add_setting(
		'macro_news_most_recent_content_post_' . $i,
		array(
			'sanitize_callback' => 'absint',
		)
	);

	$wp_customize->add_control(
		'macro_news_most_recent_content_post_' . $i,
		array(
			'label'           => sprintf( esc_html__( 'Select Post %d', 'macro-news' ), $i ),
			'section'         => 'macro_news_todays_pick_section',
			'settings'        => 'macro_news_most_recent_content_post_' . $i,
			'active_callback' => 'macro_news_is_most_recent_section_and_content_type_post_enabled',
			'type'            => 'select',
			'choices'         => macro_news_get_post_choices(),
		)
	);
}

// Most Recent Section - Select Category.
$wp_customize->add_setting(
	'macro_news_most_recent_content_category',
	array(
		'sanitize_callback' => 'macro_news_sanitize_select',
	)
);

$wp_customize->add_control(
	'macro_news_most_recent_content_category',
	array(
		'label'           => esc_html__( 'Select Category', 'macro-news' ),
		'section'         => 'macro_news_todays_pick_section',
		'settings'        => 'macro_news_most_recent_content_category',
		'active_callback' => 'macro_news_is_most_recent_section_and_content_type_category_enabled',
		'type'            => 'select',
		'choices'         => macro_news_get_post_cat_choices(),
	)
);
